summary | shortlog | log | commit | commitdiff | tree
raw | patch | inline | side by side (parent: 0bc72ab)
raw | patch | inline | side by side (parent: 0bc72ab)
author | Junio C Hamano <junkio@cox.net> | |
Wed, 3 Jan 2007 20:34:20 +0000 (12:34 -0800) | ||
committer | Junio C Hamano <junkio@cox.net> | |
Wed, 3 Jan 2007 20:34:20 +0000 (12:34 -0800) |
Signed-off-by: Junio C Hamano <junkio@cox.net>
git-verify-tag.sh | patch | blob | history |
diff --git a/git-verify-tag.sh b/git-verify-tag.sh
index 36f171b3028a3460c1c51f9c1f5747a9a0d2d850..8db7dd0b7d371cfeec84e70ff2a51ccf53a994e7 100755 (executable)
--- a/git-verify-tag.sh
+++ b/git-verify-tag.sh
;;
esac
+trap 'rm -f "$GIT_DIR/.tmp-vtag"' 0
+
git-cat-file tag "$1" >"$GIT_DIR/.tmp-vtag" || exit 1
+
cat "$GIT_DIR/.tmp-vtag" |
sed '/-----BEGIN PGP/Q' |
gpg --verify "$GIT_DIR/.tmp-vtag" - || exit 1